
/*
 * Interface for controlling communication with the UI.
 */

#ifndef UI_SOCKET_H
#define UI_SOCKET_H

#include <sys/types.h>

struct process_info {
  pid_t PID;
  const char *name;
  uid_t UID;
};

// For default socket location, set socket_path = NULL.
int init_ui_socket(const char *socket_path);

// TODO: design an interface for asking user for permission.

int ask_access(const char *filename, struct process_info pi);

#endif // !UI_SOCKET_H
